#!/usr/bin/perl -w -I/usr/sausalito/perl
# $Id: modify.pl,v 1.2 2001/11/13 19:54:04 bservies Exp $
#
# Copyright 2001 Sun Microsystems, Inc., All rights reserved.
#

use strict;

use CCE;
use Sauce::Util;
use Arkeia;

my $cce = new CCE(Namespace => 'Arkeia');
$cce->connectfd();

my $DEBUG = 0;

# Get information on the object being created
my $obj = $cce->event_object();

$DEBUG && warn 'Enabled = ' . $obj->{'enabled'} . "\n";
$DEBUG && warn 'Server = ' . $obj->{'server'} . "\n";
$DEBUG && warn 'Port = ' . $obj->{'port'} . "\n";

my $ok = Arkeia::arkeia_checkparameters($cce, $obj);
if (! $ok) {
	$cce->bye('FAIL', '[[knox-arkeia.bad_parameters]]');
	exit(1);
}

# Save the new server configuration
$ok = Arkeia::arkeia_saveconfig($cce, $obj);
if (! $ok) {
	$cce->bye('FAIL', '[[knox-arkeia.save_failed]]');
	exit(1);
}

$cce->bye('SUCCESS');
exit(0);

